[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# UniqueString

Make sure reference count of string is 1

## Declaration

Source position: line 0

`procedure UniqueString(`
`var S: AnsiString`
`); procedure UniqueString(`
`var S: UnicodeString`
`); procedure UniqueString(`
`var S: WideString`
`);`

## Description

UniqueString ensures that the ansistring S has reference count 1. It makes a copy of S if this is necesary, and returns the copy in S

## Errors

None.

Documentation generated on: Feb 26 2014